#define LTOL 0.0001 /* EM algorithm should be terminated when likelihood
                        can no longer be improved by this amount */
#define SAMPFREQ 40  /* store every SAMPFREQ column of alignment prob. matrix -
                        total required storage is proportional to
                       (SAMPFREQ)(length of sequence 2) + 
                     ((length of sequence 1)/SAMPFREQ)(length of sequence 2) */
#define BANDWIDTH 2000 /* how far can optimal alignment 
                         deviate from "diagonal" */
#define JUMP 100   /* needed to prevent underflow errors */
#define SMALLNUM 1.0e-20 /* a number slightly greater than 0 */
#define BIGNUM 10000000.0 /* A big number: bigger than possible
		             -log(likelihood(best alignment) ) */
#define MAXSEQLENGTH 10006 /* The longest allowable sequence */
#define MLINE 70 /* The number of bases per line for output alignment */
#define min2(A,B) ((A) < (B) ? (A) : (B))
#define min3(A,B,C) ((A) < (B) ? min2(A,C) : min2(B,C)) 
#define max2(A,B) ((A) > (B) ? (A) : (B))
#define max3(A,B,C) ((A) > (B) ? max2(A,C) : max2(B,C))
